package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.LogSystem;

import java.util.List;

/**
 * @Description : 系统日志服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 10:36
 * @Modify :
 **/
public interface ILogSystemService {

    /**
     * 添加系统日志
     * @param logSystem
     */
    void insertLogSystem(LogSystem logSystem);

    /**
     * 删除日志
     * @param id
     */
    void deleteLogSystemById(String id);

    /**
     * 查询全部日志
     * @return
     */
    List<LogSystem> listLogSystem();

    /**
     * 根据id查询系统日志
     * @param id
     * @return
     */
    LogSystem getLogSystemById(long id);
}
